export class BindingHelper<T>{
    list: BHItem<T>[] = [];
    constructor(arr: T[]) {
        arr.forEach(element => {
            this.list.push(new BHItem(element));
        });
    }

    getValue(): T[] {
        return this.list.map(i => i.value);
    }

    public get length(): number {
        return this.list.length
    }
    push(value: T) {
        return this.list.push(new BHItem(value));
    }

}
export class BHItem<T>{
    constructor(value: T) {
        this.value = value;
    }
    value: T
}
